Scraper apiGeneratedWebhooks
Register a webhook
Create a webhook subscription for a given event type and return its generated signing secret
X-Api-Key<token>
In: header
urlstring
Format
uriLength
1 <= lengthevent_typestring
Value in
"extract_completed" | "batch_completed" | "crawl_completed"description?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://scraper.geonode.io/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "event_type": "extract_completed" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "string",
"description": "string",
"is_active": true,
"event_type": "extract_completed",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"secret": "string"
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}